Subject: Re: bug#43243: emacs-elfeed-org, mapc: Symbol’sfunction definition is void

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 04 Oct 2020 13:37:55 -0400

Hello Giovanni,

Giovanni Biscuolo <[email-masked]> writes:

> Hello,
>
> I resolved this issue: (obviously) It was my fault, please see below.
>
> zimoun <[email-masked]> writes:
>
> [...]
>
>> Hum?  What is your ’~/.emacs.d/init.el’&co.?  The issue seems the
>> loading order.  It could happen with lazy eval &co.  Well, this ’alist’
>> is from ’org.el’, so it appears to me a bit weird.
>
> This sentence slowly guided me to the solution: I still had
> ~/.emacs.d/elpa and after I deleted that, the initial error reported in
> this bug disappeared, with another one I discovered later.
>
> AFAIU the error was triggered by the fact that my Emacs (on foreign
> distro) was still loading some old code from ~/.emacs.d/elpa, installed
> using use-package (mixed with Debian packages in some case) before I
> migrated to Guix Emacs.

As with other things Guix, mix and match of ad-hoc package management
(e.g., Emacs' native package management) and Guix can cause conflicts.
There is not always a clear solution to these problems.

I don't use Emacs' native package management facility, but if it clashes
with our own use of EMACSLOADPATH and site-start.el, it could be work
looking into (as a fresh bug).

I'll close this one for now.

Thanks!

Maxim